<?php
require_once($_SERVER['DOCUMENT_ROOT'] . '/wp-load.php');

$text = get_lang_text();

if($_SERVER['REQUEST_METHOD'] == 'POST'){

    if (isset($_POST['settings_update']) || wp_verify_nonce( $_POST['settings_update'], 'settings_update' ) ) {

        if (!empty($_POST['code']) && !empty($_POST['password'])){

            $code = sanitize_text_field($_POST['code']);
            $password = sanitize_text_field($_POST['password']);
            $pitch = sanitize_text_field($_POST['pitch']);
            $speed = sanitize_text_field($_POST['speed']);
            $language = sanitize_text_field($_POST['language']);
            $voice = sanitize_text_field($_POST['voice']);
            $player_title = sanitize_text_field($_POST['player_title']);
            $player_subtitle = sanitize_text_field($_POST['player_subtitle']);
            $player_bg_color = sanitize_text_field($_POST['player_bg_color']);
            $player_bar_color = sanitize_text_field($_POST['player_bar_color']);
            $player_text_color = sanitize_text_field($_POST['player_text_color']);
            $player_cursor_color = sanitize_text_field($_POST['player_cursor_color']);

            update_option('code', $code);
            update_option('password', $password);
            update_option('pitch', (!empty($pitch) ? $pitch : '0'));
            update_option('speed', (!empty($speed) ? $speed : '1'));
            update_option('language', (!empty($language) ? $language : 'tr-TR'));
            update_option('voice', (!empty($voice) ? $voice : 'İbrahim'));
            update_option('player_title', (!empty($player_title) ? $player_title : $text['default-player-title']));
            update_option('player_subtitle', $player_subtitle);
            update_option('player_bg_color', (!empty($player_bg_color) ? $player_bg_color : $text['default-player-bg-color']));
            update_option('player_bar_color', (!empty($player_bar_color) ? $player_bar_color : $text['default-player-bar-color']));
            update_option('player_text_color', (!empty($player_text_color) ? $player_text_color : $text['default-player-text-color']));
            update_option('player_cursor_color', (!empty($player_cursor_color) ? $player_cursor_color : $text['default-player-cursor-color']));

            $all_posts = get_posts();
            $post_data = (array)get_post($all_posts[0]->ID);
            wp_update_post($post_data);

            echo json_encode(array(
                'status' => '1',
                'message' => $text['msg-success'],
                'message_title' => $text['msg-title-success']
            ));

        }else{

            echo json_encode(array(
                'status' => '2',
                'message' => $text['msg-missing-parameter'],
                'message_title' => $text['msg-title-missing-parameter']
            ));

        }

    }else{

        echo json_encode(array(
            'status' => '0',
            'message' => $text['msg-error'],
            'message_title' => $text['msg-title-error']
        ));

    }

}else{
    echo json_encode(array(
        'status' => '0',
        'message' => $text['msg-invalid-request-method'],
        'message_title' => $text['msg-title-invalid-request-method']
    ));
}
?>